Bug 151153 - CAN-2005-0402 arbitrary code execution via sidebar
CAN-2005-0402 arbitrary code execution via sidebar
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
impact=moderate,embargo=20050323:18,r...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-15 09:29 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 14:21:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Demo exploit from the Mozilla BTS (679 bytes, text/html)
2005-03-23 08:48 EST, Josh Bressers
no flags Details
add sidebar panel page (519 bytes, text/html)
2005-03-23 08:50 EST, Josh Bressers
no flags Details
testcase 2 (892 bytes, text/html)
2005-03-23 08:54 EST, Josh Bressers
no flags Details
add sidebar panel page 2 (519 bytes, text/html)
2005-03-23 08:56 EST, Josh Bressers
no flags Details
testcase 3 - "Plug-ins Finder" (1.10 KB, text/html)
2005-03-23 08:58 EST, Josh Bressers
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 284627 None None None Never

  None (edit)
Description Josh Bressers 2005-03-15 09:29:48 EST
Sidebar allows an attacker to link to the privileged content (such as
about:config) and run arbitrary code on the content.

This is a firefox specific bug.
Comment 1 Josh Bressers 2005-03-23 08:48:07 EST
Created attachment 112256 [details]
Demo exploit from the Mozilla BTS

Steps to Reproduce:
1. Bookmark testcase as sidebar panel
2. Click links in order
Comment 2 Josh Bressers 2005-03-23 08:50:03 EST
Created attachment 112257 [details]
add sidebar panel page

add sidebar panel page

Use this page to add the testcase to bookmark panel.
Comment 3 Josh Bressers 2005-03-23 08:51:50 EST
Steps to Reproduce (corrected):
1. Bookmark testcase as sidebar panel
2. Select "Sidebar Attack Test" from your bookmark and load it in the sidebar
3. Click links in order
Comment 4 Josh Bressers 2005-03-23 08:54:28 EST
Created attachment 112258 [details]
testcase 2

This test case will erase localstore.rdf file in your profile directory.
Comment 5 Josh Bressers 2005-03-23 08:56:18 EST
Created attachment 112259 [details]
add sidebar panel page 2

Use this page to add the testcase 2 to bookmark panel.
Comment 6 Josh Bressers 2005-03-23 08:58:30 EST
Created attachment 112260 [details]
testcase 3 - "Plug-ins Finder"

"data:" URL example.
Comment 7 Josh Bressers 2005-03-23 13:35:26 EST
Lifting embargo
Comment 8 Josh Bressers 2005-03-23 14:21:23 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-336.html

Note You need to log in before you can comment on or make changes to this bug.